aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bitbake.ostro12
-rwxr-xr-xscripts/build_ceed11
-rwxr-xr-xscripts/build_containers73
-rwxr-xr-xscripts/build_containers.ostro35
-rw-r--r--scripts/gdb.zephyr8
-rwxr-xr-xscripts/make.zephyr21
-rwxr-xr-xscripts/run_containers59
-rwxr-xr-xscripts/stop_containers33
8 files changed, 0 insertions, 252 deletions
diff --git a/scripts/bitbake.ostro b/scripts/bitbake.ostro
deleted file mode 100755
index a7fba2a..0000000
--- a/scripts/bitbake.ostro
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/usr/bin/env bash
-
-OSTRO_CONTAINER=ostro-builder
-OSTRO_IMG=crops/ostro:builder
-
-DOCKER_CMD="docker run --rm --name $OSTRO_CONTAINER -v `pwd`/ostro-shared:/ostro/ostro-shared --net=host $OSTRO_IMG"
-PARAMS=$1
-
-# make sure the shared directory exists
-mkdir -p `pwd`/ostro-shared
-${DOCKER_CMD} ${PARAMS} || { echo -e "\nCouldn't start $OSTRO_CONTAINER container\n" ; exit 1; }
-
diff --git a/scripts/build_ceed b/scripts/build_ceed
deleted file mode 100755
index a181b2d..0000000
--- a/scripts/build_ceed
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/usr/bin/env bash
-set -e
-set -o pipefail
-
-# This is a convenience script to build the host side ceed for travis testing.
-# this is probably a more travisy way to do this so if you know it, speak up!
-
-TOPDIR=`git rev-parse --show-toplevel`
-
-cd ${TOPDIR}/ceed
-make
diff --git a/scripts/build_containers b/scripts/build_containers
deleted file mode 100755
index 4335d8b..0000000
--- a/scripts/build_containers
+++ /dev/null
@@ -1,73 +0,0 @@
-#!/usr/bin/env bash
-set -e
-set -o pipefail
-
-# This is a sanity test script for the CODI and toolchain Docker images.
-# This removes the old test containers, and builds a new codi and new toolchains.
-# If you do not have the deps containers, it will build them but this takes awhile
-#
-# Example:
-#
-# ./tests/build_containers
-
-TOPDIR=`git rev-parse --show-toplevel`
-
-# remove codi test image as we will rebuild it
-Q=`docker images -q crops/codi:test`
-if [ "$Q" != "" ]; then
- echo "Removing codi image"
- docker rmi -f $Q
-fi
-
-Q=`docker images -q crops/codi:testdebug`
-if [ "$Q" != "" ]; then
- echo "Removing codi debug image"
- docker rmi -f $Q
-fi
-
-# remove toolchain test image as we will rebuild it
-Q=`docker images -q crops/toolchain:test`
-if [ "$Q" != "" ]; then
- echo "Removing toolchain image"
- docker rmi -f $Q
-fi
-
-# remove Zephyr toolchain image as we will rebuild it
-Q=`docker images -q crops/zephyr:test`
-if [ "$Q" != "" ]; then
- echo "Removing Zephyr toolchain image"
- docker rmi -f $Q
-fi
-
-cd ${TOPDIR}/dockerfiles;
-
-Q=`docker images -q crops/codi:deps`
-if [ "$Q" == "" ]; then
- echo "Build CODI deps image"
- docker build -t crops/codi:deps -f Dockerfile.codi.deps --rm=true ..
-fi
-
-
-echo "Build CODI test image"
-docker build -t crops/codi:test -f Dockerfile.codi --rm=true ..
-
-echo "Build CODI debug test image"
-docker build -t crops/codi:testdebug --build-arg build_type=debug -f Dockerfile.codi --rm=true ..
-
-Q=`docker images -q crops/toolchain:deps`
-if [ "$Q" == "" ]; then
- echo "Build toolchain deps image"
- docker build -t crops/toolchain:deps -f Dockerfile.toolchain.deps --rm=true ..
-fi
-
-echo "Build toolchain test image"
-docker build -t crops/toolchain:test -f Dockerfile.toolchain --rm=true ..
-
-Q=`docker images -q crops/zephyr:deps`
-if [ "$Q" == "" ]; then
- echo "Build Zephyr deps image"
- docker build -t crops/zephyr:deps -f Dockerfile.zephyr.deps --rm=true ..
-fi
-
-echo "Build Zephyr toolchain image"
-docker build -t crops/zephyr:test -f Dockerfile.zephyr --rm=true ..
diff --git a/scripts/build_containers.ostro b/scripts/build_containers.ostro
deleted file mode 100755
index 15019bc..0000000
--- a/scripts/build_containers.ostro
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/usr/bin/env bash
-set -e
-set -o pipefail
-
-
-# This removes the old test containers, and builds a new ostro container.
-# If you do not have the deps containers, it will build them but this takes awhile
-# it does NOT remove the deps images
-#
-# Example:
-#
-# ./scripts/build_containers.ostro
-
-TOPDIR=`git rev-parse --show-toplevel`
-
-# remove ostro builder image as we will rebuild it
-Q=`docker images -q crops/ostro:builder`
-if [ "$Q" != "" ]; then
- echo "Removing ostro image"
- docker rmi -f $Q
-fi
-
-cd ${TOPDIR}/dockerfiles;
-
-Q=`docker images -q crops/ostro:deps`
-if [ "$Q" == "" ]; then
- echo "Build ostro deps image"
- docker build -t crops/ostro:deps -f Dockerfile.ostro.deps --rm=true ..
-fi
-Q=`docker images -q crops/ostro:builder`
-if [ "$Q" == "" ]; then
- echo "Build ostro builder image"
- docker build -t crops/ostro:builder -f Dockerfile.ostro --rm=true ..
-fi
-
diff --git a/scripts/gdb.zephyr b/scripts/gdb.zephyr
deleted file mode 100644
index dfb128e..0000000
--- a/scripts/gdb.zephyr
+++ /dev/null
@@ -1,8 +0,0 @@
-#!/usr/bin/env bash
-
-DOCKER_EXEC_TTY="docker exec -it"
-CONTAINER=crops-zephyr-0-7-2-src
-GDB_PATH=//opt//zephyr-sdk//sysroots//i686-pokysdk-linux//usr//bin//i586-poky-elf//i586-poky-elf-gdb
-IMAGE=$1
-
- ${DOCKER_EXEC_TTY} ${CONTAINER} ${GDB_PATH} ${IMAGE}
diff --git a/scripts/make.zephyr b/scripts/make.zephyr
deleted file mode 100755
index 55f0cef..0000000
--- a/scripts/make.zephyr
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/usr/bin/env bash
-
-echo $CEED_EXE
-
-if [ -z "$CEED_EXE" ]; then
- CEED_EXE=./ceed/ceed
-fi
-
-if [ -z "$ZEPHYR_CONTAINER" ]; then
- ZEPHYR_CONTAINER=zephyr-test
-fi
-
-ZEPHYR_ENV="ZEPHYR_GCC_VARIANT=zephyr ZEPHYR_SDK_INSTALL_DIR=/opt/zephyr-sdk ZEPHYR_BASE=/crops/zephyr-project/"
-ALL_PARAMS=$*
-
-if [ "$#" -eq 0 ]; then
- echo $0: No parameters found
- exit 1
-fi
-
-${CEED_EXE} -d ${ZEPHYR_CONTAINER} -g "${ZEPHYR_ENV} make ${ALL_PARAMS}"
diff --git a/scripts/run_containers b/scripts/run_containers
deleted file mode 100755
index d2c8066..0000000
--- a/scripts/run_containers
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/usr/bin/env bash
-
-# This is a sanity test script for the CODI and toolchain Docker images.
-# This runs the test containers.
-# Then it runs ceed -l to talk to codi to list the 4 test toolchains
-#
-# Example:
-#
-# ./tests/run_containers [NUM_TOOLCHAIN CONATINERS TO START DEFAULT:4]
-
-TOPDIR=`git rev-parse --show-toplevel`
-# note, currently the turff node and the container name MUST match exactly or have matching formats
-# Example: TURFFID=repo/image:tag and container name repo-image-tag
-# The Docker API does not allow special characters in container names except '-'
-NAME_BASE="crops-toolchain-test"
-NUM_TOOLCHAINS=4
-if [ "$1" != "" ]; then
- NUM_TOOLCHAINS=$1
-fi
-
-
-if [ "$DEBUG" == "" ]; then
- echo "Start CODI container"
- docker run -d --name codi-test -v /var/run/docker.sock:/var/run/docker.sock --net=host crops/codi:test || \
- { echo 'docker run codi failed' ; exit 1; }
-else
- echo "Start DEBUG CODI container"
- docker run -d --name codi-test-debug -v /var/run/docker.sock:/var/run/docker.sock --net=host crops/codi:testdebug || \
- { echo 'docker run codi failed' ; exit 1; }
-fi
-II=0
-while [ $II -lt $NUM_TOOLCHAINS ]; do
- echo "Start toolchain container $II"
- sleep 2;
- docker run -d --name ${NAME_BASE}${II} -v /crops/:/crops/ --env TURFFID=${NAME_BASE}${II} --net=host crops/toolchain:test || \
- { echo 'docker run toolchain-test${II} failed' ; exit 1; }
- let II=$II+1
-done
-
-echo "Start Zephyr toolchain container"
-sleep 2;
-mkdir -p $HOME/crops-test-workspace
-docker run -d --name zephyr-test -v $HOME/crops-test-workspace/:/crops/ --env TURFFID=zephyr-test --net=host crops/zephyr:test || \
- { echo 'docker run zephyr-test failed' ; exit 1; }
-
-echo "List containers known to CODI"
-sleep 5;
-cd ${TOPDIR}/ceed
-
-# if docker-machine exists then we are on a mac/windows and use the address of the vm we are running in
-# else localhost
-if [ -x "$(command -v docker-machine)" ]; then
- NAME=`docker-machine active`
- ADDRESS=`docker-machine ip ${NAME}`
-else
- # linux can run over unix sockets rather than ip but ip is more cross platform
- ADDRESS=127.0.0.1
-fi
-./ceed -i $ADDRESS -s 10000 -l
diff --git a/scripts/stop_containers b/scripts/stop_containers
deleted file mode 100755
index b8d0cb7..0000000
--- a/scripts/stop_containers
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/usr/bin/env bash
-
-# This is a sanity test script for the CODI and toolchain Docker images.
-# This stops the test containers.
-#
-# Example:
-#
-# ./scripts/stop_containers
-
-NAME_BASE="crops-toolchain-test"
-
-II=0
-Q=`docker ps -a | egrep ${NAME_BASE}${II} | awk '{print $1}'`
-while [ "$Q" != "" ]; do
- echo "Stop and Remove toolchain container $II"
- docker rm -f $Q || { echo 'docker rm $Q failed' ; exit 1; };
- let II=$II+1
- Q=`docker ps -a | egrep ${NAME_BASE}${II} | awk '{print $1}'`
-done
-
-echo "Stop and remove Zephyr test container"
-Q=`docker ps -a | egrep zephyr-test | awk '{print $1}'`
-if [ "$Q" != "" ]; then
- echo "Removing Zephyr container"
- docker rm -f $Q || { echo 'docker rm $Q failed' ; exit 1; };
-fi
-
-echo "Stop and remove CODI test container"
-Q=`docker ps -a | egrep codi-test | awk '{print $1}'`
-if [ "$Q" != "" ]; then
- echo "Removing codi container"
- docker rm -f $Q || { echo 'docker rm $Q failed' ; exit 1; };
-fi